Bug 1015822 - [abrt] xfce4-sensors-plugin-1.2.3-8.fc20: sensors_free: Process /usr/libexec/xfce4/panel-plugins/xfce4-sensors-plugin was killed by signal 11 (SIGSEGV)
[abrt] xfce4-sensors-plugin-1.2.3-8.fc20: sensors_free: Process /usr/libexec/...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: xfce4-sensors-plugin (Show other bugs)
20
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Christoph Wickert
Fedora Extras Quality Assurance
abrt_hash:1d99c0bf128fc3df2be49c20095...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-05 17:01 EDT by Sergei
Modified: 2015-06-15 08:07 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-25 10:26:38 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (19.50 KB, text/plain)
2013-10-05 17:01 EDT, Sergei
no flags Details
File: cgroup (159 bytes, text/plain)
2013-10-05 17:01 EDT, Sergei
no flags Details
File: core_backtrace (10.28 KB, text/plain)
2013-10-05 17:01 EDT, Sergei
no flags Details
File: dso_list (7.44 KB, text/plain)
2013-10-05 17:01 EDT, Sergei
no flags Details
File: environ (1.22 KB, text/plain)
2013-10-05 17:01 EDT, Sergei
no flags Details
File: exploitable (82 bytes, text/plain)
2013-10-05 17:01 EDT, Sergei
no flags Details
File: limits (1.29 KB, text/plain)
2013-10-05 17:01 EDT, Sergei
no flags Details
File: maps (24.59 KB, text/plain)
2013-10-05 17:02 EDT, Sergei
no flags Details
File: open_fds (368 bytes, text/plain)
2013-10-05 17:02 EDT, Sergei
no flags Details
File: proc_pid_status (791 bytes, text/plain)
2013-10-05 17:02 EDT, Sergei
no flags Details

  None (edit)
Description Sergei 2013-10-05 17:01:33 EDT
Description of problem:
The problem happened after adding Sensor plugin item to the Xfce panel and double clicking on it.

Version-Release number of selected component:
xfce4-sensors-plugin-1.2.3-8.fc20

Additional info:
reporter:       libreport-2.1.7
backtrace_rating: 4
cmdline:        /usr/libexec/xfce4/panel-plugins/xfce4-sensors-plugin '' 13 10758845 xfce4-sensors-plugin 'Sensor plugin' 'Show sensor values.' ''
crash_function: sensors_free
executable:     /usr/libexec/xfce4/panel-plugins/xfce4-sensors-plugin
kernel:         3.11.3-301.fc20.i686
runlevel:       N 5
type:           CCpp
uid:            1000
var_log_messages: Oct  5 23:36:39 f20 abrt[3084]: Saved core dump of pid 3079 (/usr/libexec/xfce4/panel-plugins/xfce4-sensors-plugin) to /var/tmp/abrt/ccpp-2013-10-05-23:36:38-3079 (12365824 bytes)

Truncated backtrace:
Thread no. 1 (10 frames)
 #2 sensors_free at sensors-plugin.c:1091
 #3 g_cclosure_marshal_VOID__VOIDv at gmarshal.c:115
 #4 _g_closure_invoke_va at gclosure.c:840
 #7 xfce_panel_plugin_dispose at xfce-panel-plugin.c:907
 #9 gtk_object_destroy at gtkobject.c:406
 #10 gtk_bin_forall at gtkbin.c:141
 #11 gtk_container_foreach at gtkcontainer.c:1534
 #12 gtk_container_destroy at gtkcontainer.c:1073
 #13 gtk_window_destroy at gtkwindow.c:4440
 #20 gtk_object_dispose at gtkobject.c:421
Comment 1 Sergei 2013-10-05 17:01:37 EDT
Created attachment 808265 [details]
File: backtrace
Comment 2 Sergei 2013-10-05 17:01:42 EDT
Created attachment 808266 [details]
File: cgroup
Comment 3 Sergei 2013-10-05 17:01:45 EDT
Created attachment 808267 [details]
File: core_backtrace
Comment 4 Sergei 2013-10-05 17:01:49 EDT
Created attachment 808268 [details]
File: dso_list
Comment 5 Sergei 2013-10-05 17:01:52 EDT
Created attachment 808269 [details]
File: environ
Comment 6 Sergei 2013-10-05 17:01:55 EDT
Created attachment 808270 [details]
File: exploitable
Comment 7 Sergei 2013-10-05 17:01:58 EDT
Created attachment 808271 [details]
File: limits
Comment 8 Sergei 2013-10-05 17:02:06 EDT
Created attachment 808272 [details]
File: maps
Comment 9 Sergei 2013-10-05 17:02:08 EDT
Created attachment 808273 [details]
File: open_fds
Comment 10 Sergei 2013-10-05 17:02:11 EDT
Created attachment 808274 [details]
File: proc_pid_status
Comment 11 Raphael Groner 2014-04-19 13:01:14 EDT
This seems to happen if a sensors item gets removed from panel.
Comment 12 Raphael Groner 2014-10-05 10:29:29 EDT
Backtrace looks more like a bug in Gtk. What version of Gtk2 and plugin do you use? As far as I can see, upstream source is not in sync with your backtrace.

IMHO some more testing is required to locate this bug in more depth, or upstream has already fixed meanwhile.
Comment 13 Sergei 2014-10-13 07:32:58 EDT
(In reply to Raphael Groner from comment #12)
> Backtrace looks more like a bug in Gtk. What version of Gtk2 and plugin do
> you use? As far as I can see, upstream source is not in sync with your
> backtrace.
> 
> IMHO some more testing is required to locate this bug in more depth, or
> upstream has already fixed meanwhile.

Sorry I use Arch Linux already...
Comment 14 Raphael Groner 2015-01-30 15:41:26 EST
I guess this bug could be closed.
Comment 15 Raphael Groner 2015-02-25 10:26:38 EST
Closing due to reason given in comment #13.

Note You need to log in before you can comment on or make changes to this bug.